Bug 176969 - Module [sis190] hangs the system if there is no working network attached to it
Module [sis190] hangs the system if there is no working network attached to it
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Chris Lalancette
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-04 16:08 EST by Gustavo Kuhn Andriotti
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version: 2.6.15-1.1830_FC4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-06 08:05:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch to [sis190.c] (109.17 KB, patch)
2006-01-08 06:21 EST, Gustavo Kuhn Andriotti
no flags Details | Diff

  None (edit)
Description Gustavo Kuhn Andriotti 2006-01-04 16:08:12 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8) Gecko/20051201 Fedora/1.5-1.1.fc4.nr Firefox/1.5

Description of problem:
If there is no network or a network failure during boot time, specific on network setup stage, the system hangs completely. An easy way to reproduce it is to not plug any network cable at all and wait it to try to boot and hang. It hapens with static IP, and specified Gateway, and dynamic IP, DHCP.

Version-Release number of selected component (if applicable):
kernel-2.6.14-1.1653_FC4

How reproducible:
Always

Steps to Reproduce:
1. Use a SiS 190/191 network adapter;
2. Let network service enable at boot time;
3. Do not connect any cable or, in my case, turn off your DSL modem;
4. Wait it to starts up.
  

Actual Results:  The system hangs completely.

Expected Results:  It could say that there is no network service avaiable but let the system going on with the rest of it.

Additional info:

I tryed the branch netdev on it, the [kernel-smp-2.6.14-1.1653_FC4.netdev.6] from [http://people.redhat.com/linville/kernels/fedora-netdev/], but it does not work.
I got the original [sis190] module from SiS and it works just perfect.

To get the file got to: http://www.sis.com/download/ and follow this:

1. Network Driver -> SiS190 Gigabit & SiS191 LAN -> Linux -> GO;
2. Than proceed to the download of "SiS190 / SiS191 Gigabit LAN / LAN driver for Linux kernal 2.6.9 or later.";
3. Extract the file [sis190191_linux.tar.gz];
4. Override the original [sis190.c] with the one from [sis190_20041220/sis190.c].
Comment 1 John W. Linville 2006-01-05 16:48:20 EST
Hmmmm...well, it sure would be nice if SiS would use the public sis190 driver 
instead of having their own completely different driver by the same 
name... :-( 
 
This may take a while to ferret-out the relevant differences...I'll see what I 
can do. 
Comment 2 John W. Linville 2006-01-06 15:35:00 EST
Sent email to Chung-Hsien Chang <changch@sis.com> asking for whatever help he 
might provide with this issue. 
Comment 3 John W. Linville 2006-01-06 15:41:01 EST
...and the email bounced...grrr... 
Comment 4 Gustavo Kuhn Andriotti 2006-01-06 15:59:28 EST
Have I got an Email bounced or Mr. Chung-Hsien Chang?
Comment 5 Gustavo Kuhn Andriotti 2006-01-08 06:13:01 EST
I have tryed the new kernel, but the driver for [sis190] in the
kernel-2.6.14-1.1656_FC4 is the same as in kernel-2.6.14-1.1653_FC4, and the
problem is still valid.
Comment 6 Gustavo Kuhn Andriotti 2006-01-08 06:21:25 EST
Created attachment 122924 [details]
Proposed patch to [sis190.c]

Just a [diff -Nup] between the original kernel driver and SiS driver.
Comment 7 John W. Linville 2006-01-09 09:31:37 EST
(Chang's email bounced...) 
 
As you can tell from the diff, the two drivers basically only share the same 
name.  They don't appear to be related at all. 
 
If they were more similar, it might be easy to pick-out a few changes from the 
diff.  As it is, it will take someone with better knowledge of the drivers 
and/or hardware, or at least more research. 
Comment 8 Chris Lalancette 2006-01-13 15:30:03 EST
Gustavo,
     I have a question, and something for you to try.  My question is: what
happens if you boot to single user mode, and load the stock module (from
kernel-2.6.14-1.1653_FC4) by hand (i.e. running modprobe sis190)?  Does the
system still hang?  If not, what actually happens?  Also, when trying this
experiment, try to pass the command line argument debug=16 when you probe it;
that will give more debugging information.

Thanks,
Chris
Comment 9 Gustavo Kuhn Andriotti 2006-01-18 04:33:42 EST
Christopher,

I have done what you asked but now it is working and I do not know why. I tryed
to figure it out, why now it works, but I could not. What I can say about the
problem is that it was never about loading the driver but trying to bring it up.
What you instructed me I had done before I issue this bug (but without the
parameter debug=16) and everything went good until I tryed to bring the
interface up (by using "ifup" and "ifconfig") then it hangs.

But now it is ok and I'm sorry that I can no longer reproduce the problem.

Thanks anyway.
Comment 10 Dave Jones 2006-02-03 01:36:24 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 11 Gustavo Kuhn Andriotti 2006-02-04 05:19:46 EST
The problem was resolved by the new kernel: 2.6.15-1.1830_FC4.

Note You need to log in before you can comment on or make changes to this bug.